export interface TileAnalysisResult {
  tileId: string
  color: {
    r: number
    g: number
    b: number
  }
  edge: number
  namePrefix: string
}

export interface TileWorkerMessage {
  imageData: ImageData
  tileId: string
  tileName: string
}

export interface TileCache {
  [key: string]: TileAnalysisResult
}